Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a Radeon HD 5450 graphics card. Running Ubuntu 10.04. When I install the proprietary graphics drivers I get good video rendering (YouTube) and appropriate screen resolution. But when I open a browser window and scroll or move a window around I get terrible lagging which drives me nuts.

I now run in low graphics mode. I get poor video rendering and poor screen resolution but no scrolling issues or lagging windows. I run in low graphics mode because this is priority for me. I don't watch videos or care what my screen looks like. I just don't want lagging scrolling.

Any help?

share|improve this question
    
What version of the driver are you using? –  R.K. Nov 28 '11 at 3:06
    
Welcome to Ask Ubuntu! Have you tried tuning the settings in amd-ccle to see it fixes the problem? –  William Nov 28 '11 at 3:07
    
@William Additional information on what settings in particular he should try tweaking would be helpful. –  WarriorIng64 Nov 28 '11 at 3:13
    
Well, antialising would be a good start. Do you have dual graphics cards? –  William Nov 28 '11 at 3:17
    
@William I do not have dual graphics cards. As for antialising, I am not familiar with that term. But I will be vigilant and google search it and see if that provides any help that way. I am also not familiar with amd-ccle and 'tweaking the settings' but again, some google searching is where I'll go with that. Thanks for the help and I'll tell you my results! –  Adrian Nov 29 '11 at 3:55
show 3 more comments

2 Answers 2

You are probably using the outdated driver from the official repository, if you are looking for better performance you have to install the latest driver;for further information read the tutorials at http://wiki.cchtml.com/index.php/Main_Page . Anyway i can give you 3 generic advice:

  • avoid the installation of the closed source official video driver from the official repository, they are really outdated in pratically every distribution
  • install the official closed source ATI AMD driver trough the creation of the deb packages ( as described in the link posted above )
  • the AMD ATI driver most of the times needs some tuning because the default settings are oriented to the power saving and a low profile in terms of performance, for say you have to manually enable the anti-tearing effect that otherwise is normal to have with this driver.
share|improve this answer
    
Here is what I got: E: fglrx: subprocess installed post-installation script returned error exit status 10 E: fglrx-amdcccle: dependency problems - leaving unconfigured –  Adrian Dec 3 '11 at 15:37
    
run sudo apt-get install -f , you probably forgot to install some dependencies. –  Micro Dec 3 '11 at 15:55
    
Believe me when I say I've run sudo apt-get install -f :D Boy have I tried that. As I go through the forums, it just looks like people in my predicament are going to have to deal. sigh I went through the steps outline by the wiki, all seemed well, but again I just get the errors above and am now running in low graphics mode AND have poor browser scrolling, which is what I was trying to avoid. –  Adrian Dec 4 '11 at 17:02
add comment

You want might want to try installing the latest ATI Catalyst™ proprietary display drivers. Latest version's 11.11 if I'm not mistaken.

share|improve this answer
    
Tried it! I got the following - E: fglrx: subprocess installed post-installation script returned error exit status 10 E: fglrx-amdcccle: dependency problems - leaving unconfigured –  Adrian Dec 4 '11 at 17:05
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.